### Method

# Gtk Label set_text

#### Declaration [src]

    void
    gtk_label_set_text (
      GtkLabel* self,
      const char* str
    )

#### Description [src]

Sets the text within the `GtkLabel` widget.

It overwrites any text that was there before.

This function will clear any previously set mnemonic accelerators, and set the [property@Gtk.Label:use-underline property] to `FALSE` as a side effect.

This function will set the `GtkLabel:use-markup` property to `FALSE` as a side effect.

See also: gtk_label_set_markup().

#### Parameters

`str` | `const char*`
| The text you want to set.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.